#!/usr/bin/perl -w

use ssslib;
use IO::Socket;
use strict;

my $port = 1234;

my $comm = new ssslib("ssslib.conf");

$comm->SDRegister("foo-service","localhost",$port,"challenge");

#create a socket
my $sock = IO::Socket::INET->new(Listen    => 5,
				 LocalAddr => 'localhost',
				 LocalPort => $port,
				 Proto     => 'tcp',
				 Reuse	   => 1);


die "can't create socket: $@" unless $sock;

my $new_sock = $sock->accept();
my $handle = $comm->ServerInit($new_sock->fileno());
my $msg = $comm->RecvMessage($handle);
$comm->SendMessage($handle, "foo!");
$comm->ServerClose($handle);
close($sock);
